Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class ConfirmProductInstanceResult

    java.lang.Object
      com.amazonaws.services.ec2.model.ConfirmProductInstanceResult

    public class ConfirmProductInstanceResult

extends Object

The result of calling the ConfirmProductInstance operation.

Constructor Summary
`ConfirmProductInstanceResult()`

Method Summary
`String` | `getOwnerId()` The instance owner's account ID.
`void` | `setOwnerId(String ownerId)` The instance owner's account ID.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`ConfirmProductInstanceResult` | `withOwnerId(String ownerId)` The instance owner's account ID.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfirmProductInstanceResult

    public ConfirmProductInstanceResult()

Method Detail

### getOwnerId

    public String getOwnerId()

  The instance owner's account ID. Only present if the product code is attached to the instance.

  Returns:
    The instance owner's account ID. Only present if the product code is attached to the instance.

### setOwnerId

    public void setOwnerId(String ownerId)

  The instance owner's account ID. Only present if the product code is attached to the instance.

  Parameters:
    `ownerId` - The instance owner's account ID. Only present if the product code is attached to the instance.

### withOwnerId

    public ConfirmProductInstanceResult withOwnerId(String ownerId)

  The instance owner's account ID. Only present if the product code is attached to the instance.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `ownerId` - The instance owner's account ID. Only present if the product code is attached to the instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.